A complement is a grammatical unit, generally made up of a verbal or an adjectival expression, that appears after the main verb in a sentence to enhance its meaning. The Chinese language contains many various types of complements.

# Complement of Degree
#得
The complement of degree provides a degree to which the verb occurs. In Chinese, 得 is used to join it to the verb it modifies:
```
Verb + 得 + (Degree Adverb + Adjective)
            (   Complement of Degree  )
```

1. 他吃得很多 tā chī de hěn duō "he ate a lot"
2. 他写得很好 tā xiě de hěn hǎo "he writes really well"
3. 他来得很晚 tā lái de hěn wǎn "he came very late"

## Questions
Questions can be formed in this pattern, either affirmative-negative, or interrogative:
1. 古波学得认真不认真？
   Gǔbō xué de rènzhēn bu rènzhēn?
   Does Gubo study conscientously?
2. 爸爸走得很快吗？
   Bàba zǒu de hěn kuài ma?
   Does Dad walk fast?
3. 他准备得怎么样？
   tā zhǔnbèi de zěnmeyàng?
    How did he do in his preparation?

## Verbs with Objects and Complements
What if a verb takes an object and is modified by a complement. 

### Establishing Another Verbal Unit
In this case, the verb is repeated - first with the object, then modified by the complement:
```
Verb + Object + Verb + Complement
```
1. 他说英语说得很慢
   tā shuō de yīngyǔ shuō de hěn màn
   He speaks English slowly
2. 他回答问题回答得非常好
   tā huídá wèntí huídá de fēicháng hǎo
   He answers questions very well
3. 他写汉字写得不整齐
   tā xiě hànzì xiě de bù zhěngqí
   He doesn't write Chinese characters neatly
4. 他吃饭吃得多不多？
   tā chī fàn chī de duō bu duō?
   Does he eat much?
5. 他整理房间整理得怎么样？
   tā zhěnglǐ fángjiān zhěnglǐ de zěnmeyàng?
   How did he do in cleaning his room?

### Topicalisation
Topicalisation involves moving the object to the front of the sentence: either before the predicate, or before the entire sentence. The object must represent some known information. In this case, we don't have to repeat the verb:
```
Subject + Object + Verb + Complement
               or
Object + Subject + Verb + Complement
```

1. He is doing quite well in his studying of Chinese:
	a. 他学汉语学得很不错。
	b. 他汉语学得很不错。
	c. 汉语他学得很不错。
2. He answered those questions expeditiously:
   a. 他回答那些问题回答得很快。
   b. 他那些问题回答得很快。
   c. 那些问题他回答得很快。

Generally, it's more common to move the object to the front of the sentence when the object is lengthy or complicated (so: use examples (c) above).