Optative verbs are those which express a wish or desire. In Chinese, this is done using an auxiliary verb, often referred to as a modal auxiliary or an optative verb.
```
Positive: Auxiliary + Verb
Negative: 不 + Auxiliary + Verb
Question: (a) Auxiliary + Verb + 吗 ?
          (b) (Auxiliary 不 Auxiliary) + Verb
```

1. 我想去中国参观访问
   I want to go and visit China.
2. 你不应该在教室里吸烟。
   You shouldn't smoke in the classroom.
3. 他会不会游泳？
   Does he know how to swim?

# 想xiǎng
想xiǎng as an optative verb is a derivative of an actual substantive verb. It's basic meaning is "to think of/about". As an optative verb, it expresses intention or desire of doing something.
1. 这个星期六你想去看电影吗？
   Do you feel like going to watch a movie this Saturday?
2. 她想去看妈妈。
   She's (thinking about/wants to) go to see her mother.

想xiǎng can also be used with a sentence as it's object, to say "I think that...".
1. 我想他明天回来上课。
   I think that he'll come back to class tomorrow.
However, you can't negate this ("I don't think...") with 不想. Instead, you need to move 不 into the object sentence, to instead say "I think that not X":
1. 我想他明天不回来上课。
   I think that he won't come back to class tomorrow
   I don't think he'll come back to class tomorrow.
# 要yào
要yào as an optative verb means "to desire", expressing a strong desire to carry out an action.
1. 你要去厕所吗？
   Do you need to go to the bathroom?
2. 你明天要不要去城里看朋友？
   Do you want to go into town to see friends tomorrow?
   
It can also be used to express a demand, a necessity imposed by the outside world -- "to have to" do something. Sometimes the adverb 一定yídìng is added to further underscore the urgency/importance of the demand.
1. 对不起，我现在要去上课。我们晚上再谈吧。
   Sorry, I have to go to a class now. We'll talk again in the evening.
2. 写字一定要写得慢。
   You definitely have to write characters slowly.


> [!help] 想 vs 要
> The meaning of 想 and 要 is quite similar, and they can sometimes be used interchangeably. However, 要 represents a stronger intention; 想 is more of a "wish", whereas 要 is more of a "will".
> 想 stresses the wishing, thinking about, and planning of an action.
> 要 stresses the urge or demand for carrying it out.
> 想 can be modified by a degree adverb (e.g. 很想), but 要 can't.

# 能néng
The optative 能néng expresses the ability to carry out a certain action.
1. 他现在能看中文杂志。
   He's now able to read Chinese magazines.

Like English' "can", 能 represents two kinds of abilities: (1) "ability" on the part of the person, and (2) "ability" conditioned by external factors:
1. 我不会游泳，所以不能教你游泳。
   I can't swim, therefore I can't teach you to swim.
2. 我现在有事儿，所以我不能教你游泳。
   I have something right now (I'm busy), therefore I can't teach you to swim.

# 会huì
会huì can be used as a regular verb or an optative auxiliary - carrying the same meaning of "to know how to". 
1. 你会英语吗？
   Do you know English?
2. 你会说英语吗？
   Do you know how to speak English?
3. 你们会不会做中国反？
   他不会做饭，我会。
   Do you know how to cook Chinese food?
   He doesn't, but I do.

会huì can also be used to express a "possibility" -- if it's likely or possible that something will happen:
1. 明天他会来上课。
   He will come to class tomorrow.
2. 王大年不会请我们吃晚饭吧。
   It's not likely that Wang Danian will invite us to dinner.
Note that 会huì here is *not* a tense marker, it's just an optative marker. It stresses the possibility of likelihood or possibility of something. Compare (1) to "明天他来上课", which is purely a statement of a future occurrence.

> [!help] 能 vs 会
> Both 能 and 会 can be translated into English as "can". However, 会 connotes more specifically an acquired skill; an "ability" obtained through learning. 能 is more circumstantial, e.g. if things are external to you and out of your control, allowing/preventing you to do something.
> A way to think about this is that you could learn to ride a bike. Now, if you break your leg you still know how to ride a bike (会) - you haven't forgotten how to or lost the ability - however, currently you're not able to do so (能) due to an injury. So, when you learn a skill and don't forget it, you can always 会 but sometimes you may not 能 (e.g. if you're busy):
> 我会游泳，可是今天我不舒服，所以我不能去游泳。
> I know how to swim, but I don't feel well today, so I can't go to swim today.


# 可以kěyǐ
可以kěyǐ in it's positive form is identical to 能néng in meaning and use - marking "internal ability" and "circumstantial permissibility". In the positive form, you can always interchange between the two.
However, when asking for permission, 可以kěyǐ is more commonly used:
1. 我可以用您的电话吗？
   May I use your phone?

The negative of 可以 is 不能 - 可以 and 能 share the same negation. So what is the meaning of 不可以? 不可以 indicates prohibition:
1. 我不能去。
   I can't go (e.g. because I'm sick, or I'm busy).
2. 你不可以去。
   You may not go (not allowed to go).

# 应该yīnggāi
应该yīnggāi as an optative marks a moral obligation, or a practical necessity ("ought to"; "should").
1. 他想以后去中国访问，他现在就应该学习汉语。
   He wants to go to visit China in the future, so he ought to be studying Chinese now.
2. 睡觉以前应该不应该洗澡？
   Should one shower before going to bed?

应该 and 要 are very similar in that they mark an obligation. The negatives of both is the same: 不用:
1. 明天要不要上课？
   明天是星期六，不用上课；可是今天应该上课。
   Do we have to go to school tomorrow?
   Tomorrow is Saturday, you don't need to go to school; but you should go to school today.

Similar to 不要, 不应该 indicates there is an obligation *not* to do something (not that there is not obligation to do something - that's 不用).


# Table of Operative Verbs

|                      | Positive | Negative |
| -------------------- | -------- | -------- |
| will likely (verb)   | 会        | 不会       |
| know how to (verb)   | 会        | 会        |
| able to (verb)       | 能/可以     | 不能       |
| ought to (verb)      | 要/应该     | 不用       |
| want to (verb)       | 想/要      | 不想       |
| allowed to (verb)    | 可以       |          |
| prohibited to (verb) |          | 不可以      |
| should not (verb)    |          | 不要/不应该   |

