了le is very difficult to grasp in Chinese. It can appear after a verb or at the end of a sentence, and serves a variety of functions.

# Post-Verbal (Perfective) 了
The verbal 了 is used primarily to mark the completion [[Aspect|aspect]] of a verb. Note that this is not equivalent to marking a past action (tense).
In English, the "perfective"/"completive" may appear in all three tenses:
1. Past Perfect: I *had* already arrived (when he called).
2. Present Perfect: I have already arrived.
3. Future Perfect: I will/shall have arrived (by 8PM tomorrow).
"Perfect" refers to the completion of perfection aspect of an action, signalling that the action as represented by the verb has attained its completion by a certain point in time.

The Chinese "verb + 了" serves to mark the perfective aspect. "verb + 了" can appear with a future, present, or past action - as long as the context calls for its use.

## 了 doesn't apply to all past actions
Since past actions are often also already accomplished actions, "verb + 了" is often used for past actions. However, past actions don't have to have a 了 - it's only needed when the completion aspect is stressed. 

### Habitual Actions
For example, when describing a habitual action in the past, 了 is not used:
1. 他以前常常来看我。
   He used to often come to see me.
2. 他昨天来了。
   He came yesterday.
In (2), a specific event took place yesterday, and thus is completed by now. However, (1) states a general or habitual situation in the past. Because the action in (1) was repeated on a regular basis, the emphasis is not on the perfective aspect - and 了 should not be used. Indeed, translating the sentence with "used to" - instead of just "came" - is also omitting the perfective aspect in English.

### Describing State or Status
When a sentence reports a state/status in its entirety - and not measured in terms of its various aspectual phases - we don't use the perfective 了:
1. 他去年在中国学习汉语。
   He was studying Chinese in China last year.
The sentence describes his previous state as a Chinese language student for the entire year. Thus, the focus is on the continuous state and not it's conclusion.
Indeed, verbs such as 是 (to be), 姓 (to be surnamed), 有 (to have), etc. which pertain to status descriptions do not normally get used with 了:
1. 他以前是我老是。
   He used to be my teacher.
2. 王老师以前姓文。
   Teacher Wang's surname used to be Wen.
3. 今年以前，这儿都是电影院。
   A few years ago, this place used to be full of cinemas.

### Descriptive Statements with Adjectives
Descriptive statements with an adjective do not employ the perfective 了. Adjectives are stative verbs in Chinese, and - as stative verbs - do not usually appear in the perfective:
1. 这个作家以前很又名。
   This author used to be very famous.
2. 昨天的酒会不太有意思。
   Yesterday's reception wasn't particularly interesting.

### Sentences with the Degree Complement Construction
The [[Complements#Complement of Degree|degree complement]] is essentially a description of the state of achievement. Thus, we don't use the perfective 了 with it:
1. 你昨天跳舞跳得很好。
   You danced very well yesterday.

### Sentences with Reported Speech
The emphasis when giving reported speech is more on what is being said, rather than the completion aspect of the speech itself. So, the quotation always begins with a simple verb such as 说，问, etc. and doesn't use the perfective 了:
1. 老师问我们， “你们想去参加招待会吗？”我们说：“我们都很想去。”
   The teacher asked us, "Would you want to go to the reception?" We responded, "We would all love to."
2. 他说他不会翻译今天的课文。
   He said he didn't know how to translate today's text.

## Grammatical Rules with Perfective 了

When the verb doesn't take an object, the aspectual 了 appears immediately after the verb. The negative of "verb + 了" is "没(有) + verb". The perfective 了 is cancelled by the presence of 没有 in the negative pattern:

| Pos/Neg/Int   | Construction                                                                                  | Meaning                                                         |
| ------------- | --------------------------------------------------------------------------------------------- | --------------------------------------------------------------- |
| Positive      | Subject + Verb + 了                                                                            | has taken place                                                 |
| Negative      | (a) Subject + 没(有) + Verb<br>(b) Subject + 还没(有) + Verb + 呢                                   | has not taken place<br>has not taken place yet, but would later |
| Interrogative | (a) Subject + Verb + 了 + 吗？<br>(b) Subject + Verb + 了 + 没有?<br>(c) Subject + Verb + 没 + Verb？ |                                                                 |

Examples:
1. 电影开始了吗？
   Has the film started?
2. 电影开始了。
   The film has started.
3. 电影还么开始呢。
   The film hasn't started yet (but it will in the future).
4. 今天他们很忙，都没休息。
   Today they're all ready busy, they haven't taken a break.
5. 老师讲得很清楚，学生都懂了。
   The teacher explained it clearly, and all the students understood it.
6. 你现在可以来，我们还没有睡呢。
   You can come now, we haven't gone to bed yet.
7. 没有，我今天没有喝酒。
   No, I didn't drink alcohol today.
